version: '3'
services:

  nginx:
    hostname: nginx
    # container_name: mynginx
    restart: unless-stopped
    image: nginx:1.25.3
    ports:
      - 8080:80
    volumes:
      # - ./my-server.conf:/etc/nginx/conf.d/default.conf:ro
      - ./nginx-custom.conf:/etc/nginx/conf.d/static.conf
    networks:
      - myapp
  
 
  flask:
    image: "myflaskapp"
    restart: unless-stopped
    depends_on:
      - nginx
    command: FLASK_APP=/opt/hello.py flask run --host=0.0.0.0
    ports:
      - 5000:5000
    volumes:
      - .:/app
    networks:
      - myapp
      

networks:
  myapp:
    driver: bridge